<?php
// Add custom field to column
if(!function_exists('grupi_custom_column_params')){
    add_filter('ct-custom-column/custom-params', 'grupi_custom_column_params');
    function grupi_custom_column_params(){
        return array(
            'sections' => array(
                array(
					'name'     => 'custom_section',
					'label'    => esc_html__( 'Case Settings', 'grupi' ),
					'tab'      => \Elementor\Controls_Manager::TAB_LAYOUT,
					'controls' => array(
                        array(
							'name'    => 'col_sticky',
							'label'   => esc_html__( 'Column Sticky', 'grupi' ),
							'type'    => \Elementor\Controls_Manager::SELECT,
							'options' => array(
								'none'           => esc_html__( 'No', 'grupi' ),
								'sticky' => esc_html__( 'Yes', 'grupi' ),
                            ),
                            'default' => 'none',
                            'prefix_class' => 'ct-column-'
                        )
                    )
                )
            )
        );
    }
}